  <?php
    error_reporting(E_ALL ^E_NOTICE);
    include("is_logged.php");
	$session_id = session_id();
	
	require_once ("../config/db.php");
	require_once ("../config/conexion.php");
    $destino=$_GET['destino'];
	$sql_count=mysqli_query($con,"select * from tmp_despacho where session_id='".$session_id."'");
	$count=mysqli_num_rows($sql_count);
	if ($count==0)
	{
	echo "<script>alert('No hay productos agregados al Despacho')</script>";
	echo "<script>window.history.back(1);</script>";
	exit;
	}
	if($_GET['id_vendedor']!="")
	{
	$id_vendedor=intval($_GET['id_vendedor']);
	
	  	$sql_vendedor=mysqli_query($con,"select * from users where user_id='$id_vendedor'");
		$rw_vendedor=mysqli_fetch_array($sql_vendedor);
		$estado=$rw_vendedor['estado'];
		if($estado==""){$estado="Almacen Central";}
				
		$condiciones="Sin Despacho";
	
		$sql=mysqli_query($con, "select LAST_INSERT_ID(numero_despacho) as last from despachos order by id_despacho desc limit 0,1 ");
		$rw=mysqli_fetch_array($sql);
		$numero_despacho=$rw['last']+1;	
	
	
		$sql2=mysqli_query($con, "select * from products, tmp_despacho where products.id_producto=tmp_despacho.id_producto and tmp_despacho.session_id='".$session_id."'");
		while ($row=mysqli_fetch_array($sql2))
		{
			$id_tmp_despacho=$row["id_tmp_despacho"];
			$cod_tmp_despacho=$row["codigo"];
			$id_producto=$row["id_producto"];
			$codigo_producto=$row['codigo_producto'];
			$cantidad=$row['cantidad_tmp_despacho'];
			$nombre_producto=$row['nombre_producto'];
			$precio_venta=$row['precio_venta'];
			$precio_costo=$row['precio_producto'];
			$presentacion_producto=$row['status_producto'];
			$marca=$row['marca'];
			$rubro=$row['tipo_producto'];
			$iva=$precio_venta*(TAX/100);
			$date=date("Y-m-d H:i:s");
			if ($nums%2==0)
			{
				$clase="clouds";
			}
			else 
			{
				$clase="silver";
			}
			
	
			$insert_detail=mysqli_query($con, "INSERT INTO detalle_despacho VALUES ('','$numero_despacho','$cod_tmp_despacho','$id_producto','$cantidad')");
			$des=mysqli_query($con,"select * from products where nombre_producto='$nombre_producto' AND marca='$marca' AND status_producto='$presentacion_producto' AND almacen='$destino'") or die(mysqli_error($con));
			$res_des=mysqli_fetch_array($des);
			if(mysqli_num_rows($des)>0)
			{
				$ori=mysqli_query($con,"select * from products where nombre_producto='$nombre_producto' AND marca='$marca' AND status_producto='$presentacion_producto' AND almacen='$estado'");
				$res_ori=mysqli_fetch_array($ori);
				$existencia=$res_ori['existencia'];
				$existencia2=$res_des['existencia'];
				$stock=$existencia-$cantidad;
				$stock2=$existencia2+$cantidad;
				mysqli_query($con,"UPDATE `products` SET `existencia`='$stock' WHERE `products`.`nombre_producto`='$nombre_producto' AND `products`.`marca`='$marca' AND `products`.`status_producto`='$presentacion_producto' AND `products`.`almacen`='$estado'") or die(mysqli_error($con));
				mysqli_query($con,"UPDATE `products` SET `existencia`='$stock2' WHERE `products`.`nombre_producto`='$nombre_producto' AND `products`.`marca`='$marca' AND `products`.`status_producto`='$presentacion_producto' AND `products`.`almacen`='$destino'");
			}
			else
			{
				$ori=mysqli_query($con,"select * from products where nombre_producto='$nombre_producto' AND marca='$marca' AND status_producto='$presentacion_producto' AND almacen='$estado'");
				$res_ori=mysqli_fetch_array($ori);
				$existencia=$res_ori['existencia'];
				$stock=$existencia-$cantidad;
				
				mysqli_query($con,"UPDATE `products` SET `existencia`='$stock' WHERE `products`.`nombre_producto`='$nombre_producto' AND `products`.`marca`='$marca' AND `products`.`status_producto`='$presentacion_producto' AND `products`.`almacen`='$estado'");
			
				mysqli_query($con,"INSERT INTO products (codigo_producto, nombre_producto, status_producto, date_added, tipo_producto, precio_producto, iva, precio_venta, existencia, marca, almacen) VALUES ('$codigo_producto','$nombre_producto','$presentacion_producto','$date','$rubro','$precio_costo','$iva','$precio_venta','$cantidad','$marca','$destino')");
				
			}
	
		}
	
	
		$insert=mysqli_query($con,"INSERT INTO despachos VALUES ('','Movimiento Interno','$numero_despacho','$estado','$date','','','$destino','','','','$condiciones')") or die(mysqli_error($con));
		$delete=mysqli_query($con,"DELETE FROM tmp_despacho WHERE session_id='".$session_id."'");

		echo "<script>alert('despacho Procesado');
		window.location='../despachos.php';</script>";
	}
	else
	{
	echo "<script>window.history.back(1);</script>";	
	}
	?>